Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_PropertyBase_T Class Template Reference

@brief. More...

`#include <Property_T.h>`

Inheritance diagram for TAO_NS_PropertyBase_T:

[legend]
Collaboration diagram for TAO_NS_PropertyBase_T:

[legend]
List of all members.

## Public Methods
| TAO_NS_PropertyBase_T (const ACE_CString &name, const TYPE &initial)
| Constuctor. More...
| TAO_NS_PropertyBase_T (const ACE_CString &name)
| Constuctor. More...
| TAO_NS_PropertyBase_T (const TAO_NS_PropertyBase_T &rhs)
| Copy Constuctor. More...
| ~TAO_NS_PropertyBase_T ()
| Destructor. More...
TAO_NS_PropertyBase_T & | operator= (const TAO_NS_PropertyBase_T &rhs)
| Assignment from TAO_NS_PropertyBase_T. More...
TAO_NS_PropertyBase_T & | operator= (const TYPE &rhs)
| Assignment from TYPE. More...
int | operator== (const TYPE &rhs) const
| Equality comparison operator. More...
int | operator!= (const TYPE &rhs) const
| Inequality comparison operator. More...
void | get (CosNotification::PropertySeq &prop_seq)
| Populate the Property Sequence with this valid value. More...
const TYPE & | value (void) const
| Return the value. More...
CORBA::Boolean | is_valid (void) const
| Is the current value valid. More...
void | invalidate (void)
| Invalidate this property's value. More...
## Protected Attributes
ACE_CString | name_
| The Property name. More...
TYPE | value_
| The value. More...
CORBA::Boolean | valid_
| Is the value valid. More...

## Detailed Description

### template<class TYPE>
class TAO_NS_PropertyBase_T< TYPE >

@brief.

## Constructor & Destructor Documentation

template<class TYPE>
TAO_NS_PropertyBase_T< TYPE >::TAO_NS_PropertyBase_T | ( | const ACE_CString & | name,
|  | const TYPE & | initial
| ) |

| Constuctor.

template<class TYPE>
TAO_NS_PropertyBase_T< TYPE >::TAO_NS_PropertyBase_T | ( | const ACE_CString & | name | ) |

| Constuctor.

template<class TYPE>
TAO_NS_PropertyBase_T< TYPE >::TAO_NS_PropertyBase_T | ( | const TAO_NS_PropertyBase_T< TYPE > & | rhs | ) |

| Copy Constuctor.

template<class TYPE>
TAO_NS_PropertyBase_T< TYPE >::~TAO_NS_PropertyBase_T | ( |  | ) |

| Destructor.

## Member Function Documentation

template<class TYPE>
void TAO_NS_PropertyBase_T< TYPE >::get | ( | CosNotification::PropertySeq & | prop_seq | ) |

| Populate the Property Sequence with this valid value.

template<class TYPE>
void TAO_NS_PropertyBase_T< TYPE >::invalidate | ( | void |  | ) |

| Invalidate this property's value.

template<class TYPE>
CORBA::Boolean TAO_NS_PropertyBase_T< TYPE >::is_valid | ( | void |  | ) | const

| Is the current value valid.

template<class TYPE>
int TAO_NS_PropertyBase_T< TYPE >::operator!= | ( | const TYPE & | rhs | ) | const

| Inequality comparison operator.

template<class TYPE>
TAO_NS_PropertyBase_T& TAO_NS_PropertyBase_T< TYPE >::operator= | ( | const TYPE & | rhs | ) |

| Assignment from TYPE. Reimplemented in TAO_NS_Property_T.

template<class TYPE>
TAO_NS_PropertyBase_T& TAO_NS_PropertyBase_T< TYPE >::operator= | ( | const TAO_NS_PropertyBase_T< TYPE > & | rhs | ) |

| Assignment from TAO_NS_PropertyBase_T.

template<class TYPE>
int TAO_NS_PropertyBase_T< TYPE >::operator== | ( | const TYPE & | rhs | ) | const

| Equality comparison operator.

template<class TYPE>
const TYPE& TAO_NS_PropertyBase_T< TYPE >::value | ( | void |  | ) | const

| Return the value.

## Member Data Documentation

template<class TYPE>
ACE_CString TAO_NS_PropertyBase_T::name_`[protected]`

| The Property name.

template<class TYPE>
CORBA::Boolean TAO_NS_PropertyBase_T::valid_`[protected]`

| Is the value valid.

template<class TYPE>
TYPE TAO_NS_PropertyBase_T::value_`[protected]`

| The value.

The documentation for this class was generated from the following files:

- Property_T.h
- Property_T.cpp